BTRACE(8)

NAME
btrace - bug tracer

SYNOPSIS
btrace [-lnv] [-e program | file] [argument ...]

DESCRIPTION
The btrace utility provides an interface to inspect the internals of the system and programs. It interprets the bt(5) program in file with optional arguments and communicates with the dynamic tracer device using the interface described in dt(4).

The options are as follows:

-e program
    Execute program.

-l  List all available probes.

-n  No action. Parse the program and then exit.

-v  Verbose mode. Causes btrace to print debugging messages. Multiple -v options increase the verbosity. The maximum is 2.

EXIT STATUS

SEE ALSO
dt(4), bt(5)

HISTORY
The btrace utility first appeared in OpenBSD 6.7.

AUTHORS
Martin Pieuchot <mpi@openbsd.org>